Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class Reserve

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.balance.common.bean.Reserve

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class Reserve
    extends Id

Bean резерва договора. Для получения типа(ReserveType) использовать справочник типов.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Reserve()` |
  `Reserve​(int id, int contractId, int idType, PeriodWithTime period, java.util.Date dateClose, java.math.BigDecimal sum, java.lang.String comment)` |
  `Reserve​(int contractId, int idType, java.util.Date dateTo, java.math.BigDecimal sum, java.lang.String comment)` | Конструктор резерва для его добавления на договор.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `java.util.Date` | `getDateClose()` |
  `PeriodWithTime` | `getPeriod()` |
  `java.math.BigDecimal` | `getSum()` |
  `int` | `getTypeId()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDateClose​(java.util.Date dateClose)` |
  `void` | `setPeriod​(PeriodWithTime period)` |
  `void` | `setSum​(java.math.BigDecimal sum)` |
  `void` | `setTypeId​(int typeId)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Reserve

    public Reserve()

  - ### Reserve

    public Reserve​(int contractId, int idType, java.util.Date dateTo, java.math.BigDecimal sum, java.lang.String comment)
    Конструктор резерва для его добавления на договор. Не нужные поля убраны для удобства.
    Parameters:
      `contractId` - - код договора.
      `idType` - тип резерва.
      `dateTo` - - до какого момента действует резерв. может быть null.
      `sum` - - сумма резерва
      `comment` - - комментарий

  - ### Reserve

    public Reserve​(int id, int contractId, int idType, PeriodWithTime period, java.util.Date dateClose, java.math.BigDecimal sum, java.lang.String comment)

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getPeriod

    public PeriodWithTime getPeriod()

  - ### setPeriod

    public void setPeriod​(PeriodWithTime period)

  - ### getDateClose

    public java.util.Date getDateClose()

  - ### setDateClose

    public void setDateClose​(java.util.Date dateClose)

  - ### getSum

    public java.math.BigDecimal getSum()

  - ### setSum

    public void setSum​(java.math.BigDecimal sum)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId​(int typeId)